SymbolChooser.SymbolTreeHolder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class SymbolChooser.SymbolTreeHolder

    java.lang.Object
      java.util.concurrent.CopyOnWriteArrayList<E>
          com.bbn.openmap.event.ListenerSupport
              com.bbn.openmap.tools.symbology.milStd2525.SymbolChooser.SymbolTreeHolder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, javax.swing.event.TreeSelectionListener

Enclosing class:
  SymbolChooser

    public class SymbolChooser.SymbolTreeHolder

extends ListenerSupport
implements javax.swing.event.TreeSelectionListener

See Also:
  Serialized Form

Field Summary
`protected java.lang.Character[]` | `optionChars`
`protected java.util.Hashtable` | `optionMenuHashtable`
`protected javax.swing.JPanel` | `optionPanel`
`protected CodeOptions` | `options`
`protected boolean` | `playWithTreeLineStyle`
`protected javax.swing.JTree` | `tree`
`protected java.lang.String` | `treeLineStyle`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`source`

Constructor Summary
`SymbolChooser.SymbolTreeHolder(SymbolPart schemeSymbolPart, CodeOptions opts)`

Method Summary
`protected void` | `addNodes(javax.swing.tree.DefaultMutableTreeNode node, SymbolPart sp)`
`javax.swing.tree.DefaultMutableTreeNode` | `getNodeForCode(java.lang.String code)`
`protected javax.swing.tree.DefaultMutableTreeNode` | `getNodeForCodeStartingAt(javax.swing.tree.DefaultMutableTreeNode node, java.lang.String code)`
`javax.swing.JPanel` | `getOptionPanel()`
`javax.swing.JTree` | `getTree()`
`void` | `handleNodeSelection(javax.swing.tree.DefaultMutableTreeNode node)`
`void` | `setPositionSetting(CodePosition cp)`
`java.lang.String` | `toString()`
`void` | `updateInterfaceToLastSelectedNode()`
`void` | `updateOptionChars(CodePosition cp)`
`protected void` | `updateOptionsForCode(java.lang.String text)` Given an text string, have the options available to the current SymbolTreeHolder reflect those updates.
`java.lang.String` | `updateStringWithCurrentOptionChars(java.lang.String currentSymbolCode)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`add, add, addAll, clear, getSource, iterator, listIterator, remove, remove, set, setSource, size`

Methods inherited from class java.util.concurrent.CopyOnWriteArrayList
`addAll, addAllAbsent, addIfAbsent, clone, contains, containsAll, equals, get, hashCode, indexOf, indexOf, isEmpty, lastIndexOf, lastIndexOf, listIterator, removeAll, retainAll, subList, toArray, toArray`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### playWithTreeLineStyle

    protected boolean playWithTreeLineStyle

### treeLineStyle

    protected java.lang.String treeLineStyle

### tree

    protected javax.swing.JTree tree

### optionPanel

    protected javax.swing.JPanel optionPanel

### options

    protected CodeOptions options

### optionChars

    protected java.lang.Character[] optionChars

### optionMenuHashtable

    protected java.util.Hashtable optionMenuHashtable

Constructor Detail

### SymbolChooser.SymbolTreeHolder

    public SymbolChooser.SymbolTreeHolder(SymbolPart schemeSymbolPart,
                                          CodeOptions opts)

Method Detail

### getTree

    public javax.swing.JTree getTree()

### addNodes

    protected void addNodes(javax.swing.tree.DefaultMutableTreeNode node,
                            SymbolPart sp)

### getNodeForCode

    public javax.swing.tree.DefaultMutableTreeNode getNodeForCode(java.lang.String code)

### getNodeForCodeStartingAt

    protected javax.swing.tree.DefaultMutableTreeNode getNodeForCodeStartingAt(javax.swing.tree.DefaultMutableTreeNode node,
                                                                               java.lang.String code)

### updateOptionsForCode

    protected void updateOptionsForCode(java.lang.String text)

  Given an text string, have the options available to the current SymbolTreeHolder reflect those updates.

  Parameters:
    `text` -

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### updateInterfaceToLastSelectedNode

    public void updateInterfaceToLastSelectedNode()

### handleNodeSelection

    public void handleNodeSelection(javax.swing.tree.DefaultMutableTreeNode node)

### getOptionPanel

    public javax.swing.JPanel getOptionPanel()

### setPositionSetting

    public void setPositionSetting(CodePosition cp)

### updateOptionChars

    public void updateOptionChars(CodePosition cp)

### updateStringWithCurrentOptionChars

    public java.lang.String updateStringWithCurrentOptionChars(java.lang.String currentSymbolCode)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.concurrent.CopyOnWriteArrayList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details